$blue-base-color: #0A6A84;
$black-base-color: #2F2F2F;
$yellow-base-color: #FFE56B;
$lightBlue-base-color: #CEE1E6;
$lightYellow-base-color: #FFF4C3;

body {
  margin: 0;
  font-family: 'Inter', sans-serif;
  color: $black-base-color;
  min-height: 100vh;
}

h1{
text-align: center;
}

.spacer {
	margin-top: 40px; /* define margin as you see fit */
}


/******-------- Navbar -----------*******/
.navbar {
	display: -webkit-flex;
	display: flex;
	flex-direction: row;
	align-items: center;
	flex-wrap: wrap;
	justify-content: space-between;
    width: 100%;
   box-shadow: 1px 2px 4px rgba(0, 0, 0, .05);
   -moz-box-shadow: 1px 2px 4px rgba(0, 0, 0, .05);
  -webkit-box-shadow: 1px 2px 4px rgba(0, 0, 0, .05);
}
.center-height{
	min-height: 20vh;
}

.navbar-leftpart {
	display: -webkit-flex;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-around;
}
.navbar-logo {
	padding:20px;
	margin-left: 20px;
	margin-right: 15px;
}

.navbar-hotline {
	display: -webkit-flex;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-around;
	border-radius: 10px;
	background-color: $lightYellow-base-color;
	 color: $black-base-color;
	 height: auto;
}
.btn-hotline {
	padding: 0px;
	color: $black-base-color;
	border: 0;
	font-size: 16px;
	top: auto;
	height: auto;
	margin-right:10px;
}
.hotline-tel {
	text-decoration: none;
	color: $black-base-color;
}
.tel{
   font-weight: bold;
}
.navbar-hotline img {
	margin: 0 10px 0 10px;
}

.navbar-buttons {
	display: -webkit-flex;
	display: flex;
	flex-direction: row;
	justify-content: space-around;
	margin-right: 25px;

}

.btn{
	padding: 10px 30px;
	color: $black-base-color;
	border: 0;
	font-size: 16px;
	top: auto;
	height: 40px;
	margin-right:10px;
	font-weight: bold;
}

.btn:hover{
	cursor:pointer;
}


.btn-login {
	background-color: transparent;
	border-radius: 5px;
}
.btn-helper{
	background-color: $yellow-base-color;
	border-radius: 5px;

}
.btn-login:hover {
	background-color: $yellow-base-color;
	-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
	-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
	box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
	color: $black-base-color;
}

.btn-helper:hover{
		-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
		-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
		box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
		color: $black-base-color;
}

/*********** ----------------Header--------------******/
header {
   background-color: $lightBlue-base-color;
   font-size: 20px;
   padding-left: 12%;
   padding-right: 12%;
   font-width: 0.8em;
   padding-top: 30px;
   padding-bottom: 30px;
}


/***********--------section-one----------------*********/

#section-one{
	padding-top: 50px;
	padding-bottom:  30px;
	margin-left:12%;
	margin-right: 12%;
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
}
.intro-notes{
	line-height: 30px;
	width: 60%;
}
.intro-notes a{
	color: $black-base-color;
	font-weight: bold;
}
.boxes{
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	text-align: left;

}
.box{
	padding: 20px;
	border-radius: 10px;
	width: 60%;
	margin-bottom: 30px;
}
.hotline-box{
	margin-top:50px;
	background-color: #e6f0f2;
}
.hotline-box .hotline-in-box{
	display: flex;
	flex-direction: row;
	align-items: center;

}
.hotline-box div img{
	padding-right: 10px;
}
.hotline-box div p{
   font-size: 28px;
}
.help-box{
	background-color: $lightYellow-base-color;

}
.btn-help{
	background-color: $yellow-base-color;
	border-radius: 5px;
	margin:10px;
	float:right;

}
/***********-------section-two-----infographic------------*********/

#section-two{
	padding-top: 30px;
	padding-bottom:  30px;
	margin-left:14%;
	margin-right: 12%;
	text-align: center;
}
.info-infographic{
	margin-top: 30px;
	float:right;
	width: 50%;
	text-align: left;
	display: -webkit-flex;
	display: flex;
	flex-direction: row;
	align-items: flex-start;
	flex-wrap: nowrap;
}
.info-infographic img{
	margin: 15px;
}


/***********-------section-three------------*********/

#section-three {
	clear: both;
	padding-top: 70px;
	padding-bottom:  30px;
	margin-left:14%;
	margin-right: 12%;
	text-align: left;
}


#section-three h1{
	font-size: 44px;
	font-weight: bold;
	width: 90%;
}

#section-three p{
	margin-left: 20%;
	margin-right: 20%;

}


/***********-------section-cookies------------*********/
#section-cookies{
	text-align: center;
}
.cookies{
	margin: auto;
   background-color: $lightYellow-base-color;
   padding:10px;
   width: 75%;
   display: -webkit-flex;
   display: flex;
   flex-direction: row;
   flex-wrap: wrap;
   justify-content: center;
   border-radius: 10px;
   box-shadow: 0 4px 8px 5px rgba(0, 0, 0, 0.1);
   -moz-box-shadow: 0 4px 8px 5px rgba(0, 0, 0, 0.2);
  -webkit-box-shadow: 0 4px 8px 5px rgba(0, 0, 0, 0.2);
  margin-bottom: 20px;
}
.cookies a{
	color: $black-base-color;
}

.btn-cookies{
	background-color: $yellow-base-color;
	border-radius: 5px;
	margin:5px;
}
/***************--------footer---------------*********/
footer {
	padding: 30px 10px 10px 10px;
	background-color: $blue-base-color;
	color: #FFFFFF;
	display: -webkit-flex;
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
	align-items: center;

}
footer a{
	color: #FFFFFF;
	text-decoration: none;
	padding-left:15px;
	font-weight: bold;
}
footer a:hover{
	font-weight: bolder;
	color:white;
}


footer select{
  margin-left: 25px;
  margin-right: 30px;
  width: auto;
  background-color: $blue-base-color;
  color: #FFFFFF;
  font-size: 16px;
  padding:10px;
  border: none;
  cursor: pointer;
  font-weight: bold;
 }



/***********-------About us------------*********/
.marketing .col-lg-4 {
	margin-bottom: 1.5rem;
	text-align: center;
}
.marketing h2 {
	font-weight: 400;
}
.marketing .col-lg-4 p {
	margin-right: .75rem;
	margin-left: .75rem;
}
.rounded-circle{
	width:140px;
	height:140px;
}



/***********-------LoginForm------------*********/
#loginForm, #registrationForm{
 	label{
		color: $blue-base-color;
		font-size: 16px;
    }
    input[type=submit]{
       background-color: $yellow-base-color !important;
		margin-top:20px;
		border-radius: 8px;
		color: $black-base-color;
		font-weight: bold !important;
		height: auto !important;
		padding: 6px 50px !important;
		font-size: 20px !important;
		border-color: transparent;
	}
    input[type=submit]:hover{
		background-color: $yellow-base-color !important;
		color: $black-base-color;
		font-weight: bold !important;
		-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
		-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
		box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
		border-color: transparent;
	}
    input[type=text]{
		border-color:$blue-base-color !important;
		padding: 15px 15px;
		border-radius: 8px;
		color: $black-base-color !important;
	}
    input[type=password]{
		border-color: $blue-base-color !important;
		padding: 25px 15px;
		border-radius: 8px;
		color: $black-base-color !important;
    }
}

#registrationForm {
	.form-div{
	    display:grid
	}
	input[type=text], input[type=number], input[type=email]{
		border-color: $blue-base-color !important;
		padding: 25px 15px;
		border-radius: 8px;
		color: $black-base-color !important;
	}
	input[type=checkbox]{
		padding:0px !important;
	}
	.upload-file-field{
		width:100%;
		display:block;

		border-color: $blue-base-color !important;
		padding: 15px 15px;
		border-radius: 8px;
		color: $black-base-color !important;
		border:1px solid $blue-base-color;
	}
    input[type=file] {
         display:none;
        }
    
		button.uploadbtn{
		   	color: $black-base-color !important;
			font-weight: bold !important;
			background-color:$yellow-base-color;
			border-radius: 8px;
			margin-top: 0.6em;
			min-width: 50%;
			max-width: 80%;
			height: 50px;
			paddding: 10px 10px;
			border:none;
			margin-left:1em;
			img{
			   margin:10px;
			}
			&:hover{
			  cursor: pointer;
			  box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.5);
			  border:none;

			}
			&:active {
			  box-shadow: 1px 2px 4px rgba(0, 0, 0, .075);
			  border:none;
			}
			
    }
    #custom-text1, #custom-text2{
         color: $black-base-color;
         padding-top: 2em;
         padding-left: 1em;
    } 
    #div_id_password1, #div_id_password2{
       margin: 2rem 0 2rem 0;
          }
    
    .form-check-label:hover , .form-check:hover{
		cursor: pointer;
	}

    input[type="checkbox"]:checked + .form-check-label{
   		background-color: $lightYellow-base-color;
 	}

	
   .confirm-checkboxes {
   		.form-check-input{
			cursor: pointer;
        }
       .confirm-checkbox{
			color: $black-base-color !important;
			padding:10px;
		}
	}
   #bottom-part{
		display: flex;
		flex-direction: column;
		flex-wrap: nowrap;
		justify-content: center; 
		align-items: center;
    
	    div{
		    margin-top:0.6em;
	    }
	    #div_submitButton{
		    align-self: center;
	    
	    }
	}
	
}
#div_id_languages .form-check{
		position: relative;
		height: 3rem;
}
#div_id_languages .form-check-input{
				position: absolute;
				left: 25px;
				top: 15px;
				z-index: 2;
				cursor: pointer;
}
#div_id_languages .form-check-label{
				position: absolute;
				left: 0;
				padding-left:30px;
				top:0;
				padding-top: 15px;
				padding-bottom: 15px;
				width: 66.67%;
}
#div_id_email_notifications,#div_id_sms_notifications{
    width: 66.67%;
}
#registrationForm > div{
		margin-left: 1.1em;
}
#registrationForm{
            #div_id_first_name{
				grid-row: 1;
			}
			#div_id_last_name{
				grid-row: 2;
			}
			#div_id_email{
				grid-row: 3;
			}
			#div_id_email_notifications{
			    grid-row: 4;
			     margin-bottom: 1em;
			}
			#div_id_fon{
				grid-row: 5;
			}
			#div_id_sms_notifications{
			   grid-row: 6;
			   margin-bottom: 1em;
			}
			#div_id_city{
				grid-row: 10;
			}
			#div_id_street_name{
				grid-row: 7;
			}
			#div_id_street_number{
				grid-row: 8;
			}
			#div_id_postal_code{
				grid-row: 9;
			}
			#div_id_state{
			  grid-row: 11;
			}
			#div_id_country{
			  grid-row :12;

			}
			#div_id_identity_number{
			  width: 80%;
			}
			
			#div_id_password1{
			    grid-row: 17;
			    width: 66.7%;
			}
			#div_id_password2{
			    grid-row: 18;
			    width: 66.6%;

			}
			#div_id_languages{
				grid-row: 16;
			}
}


select[id=id_country]{
       	 height:100% !important;
	   	 padding: 15px 15px !important;
	   	 background:none !important;
	   	 border:none !important;
	  	 cursor: pointer !important;

}
#div_id_country > div {
	    position:relative !important;
	   	cursor:pointer !important;
	   	height: auto !important;
	   	width: 66.67% !important;
	   	border-radius:8px !important;
	    border:1px solid $blue-base-color;
		color: $black-base-color !important;

}

#password-div{
			display:flex;
			flex-direction:column !important;
			flex-wrap:nowrap;
}
@media all and (min-width:756px) and (max-width:992px){
	 #div_id_password1, #div_id_password2{
	      margin-left: 10% !important;
	      width: 56% !important;
	 }
}

/**** Larger screen size ****/
@media all and (min-width: 992px){
	#registrationForm {
		.form-div {
			display: grid;
			grid-template-columns: 1fr 1fr 1fr;
			grid-row-gap:1em;
			#div_id_first_name{
				grid-row: 1;
				grid-column: 1;
				width:auto;
			}
			#div_id_last_name{
				grid-row: 1;
				grid-column: 2;
			}
			#div_id_email{
				grid-row: 2;
				grid-column: 1;
			}
			#div_id_fon{
				grid-row: 2;
				grid-column: 2;
			}
			#div_id_email_notifications{
			   grid-row: 3;
			   grid-column: 1;
			   margin-top:2em;
			 }
			#div_id_sms_notifications{
			   grid-row: 3;
			   grid-column: 2;
			    margin-top:2em;
			}
			#div_id_street_name{
				grid-row: 4;
				grid-column: 1;
				margin-top: 2em !important;
			}
			#div_id_street_number{
				grid-row:4;
				grid-column: 2;
				margin-top: 2em !important;
			}
			#div_id_postal_code{
				grid-row: 4;
				grid-column: 3;
				margin-top: 2em ;
			}
			#div_id_city{
				grid-row: 5;
				grid-column: 1;
			}
			#div_id_state{
			    grid-row: 5;
				grid-column: 2;
			}
			#div_id_country{
			    grid-row: 5;
				grid-column: 3;
			}
			#div_id_country > div {
			    width: 91.67% !important;
			}

			#div_id_languages{
			   	grid-column: 3;
				grid-row: 1/4;
				width:100%;
			    .form-check{
					height: 3.75rem;
				}
			   .form-check-label{
			       width: 91.67% !important;
			   }
			}
			#div_id_email_notifications,#div_id_sms_notifications{
                width: 91.67% !important;
            }
			
		}
        
      	#password-div{
			display:flex;
			flex-direction:row !important;
			flex-wrap:wrap !important;
			justify-content: center;
         }
        #div_id_password1, #div_id_password2{
	 	       margin: 2rem 2rem 2rem 2rem;
	 	       width:33.3%;
         }
         #div_id_identity_number{
			  width: 50%;
			}
		#bottom-part{
			justify-content: center; 
			align-items: center;

		}
	}
}

